# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Hint Class Reference

RenderState wrapping the OpenGL function glHint(), see also http://www.opengl.org/sdk/docs/man/xhtml/glHint.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::Hint:

List of all members.

## Public Member Functions

| Hint ()
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | setPerspectiveCorrectionHint (EHintMode mode)
void | setPolygonSmoohtHint (EHintMode mode)
void | setLineSmoothHint (EHintMode mode)
void | setPointSmoothHint (EHintMode mode)
void | setFogHint (EHintMode mode)
void | setGenerateMipmapHint (EHintMode mode)
EHintMode | perspectiveCorrectionHint () const
EHintMode | polygonSmoohtHint () const
EHintMode | lineSmoothHint () const
EHintMode | pointSmoothHint () const
EHintMode | fogHint () const
EHintMode | generateMipmapHint () const

## Protected Attributes

EHintMode | mPerspectiveCorrectionHint
EHintMode | mPointSmoothHint
EHintMode | mLineSmoothHint
EHintMode | mPolygonSmoothHint
EHintMode | mFogHint
EHintMode | mGenerateMipmapHint

## Detailed Description

RenderState wrapping the OpenGL function glHint(), see also http://www.opengl.org/sdk/docs/man/xhtml/glHint.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 201 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::Hint::Hint | ( | ) | `[inline]`

Definition at line 204 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::Hint::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 210 of file Shader.hpp.

virtual ERenderState vl::Hint::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 212 of file Shader.hpp.

References vl::RS_Hint.

void Hint::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 210 of file Shader.cpp.

References vl::OpenGLContext::isCompatible(), mFogHint, mGenerateMipmapHint, mLineSmoothHint, mPerspectiveCorrectionHint, mPointSmoothHint, mPolygonSmoothHint, and VL_CHECK_OGL.

void vl::Hint::setPerspectiveCorrectionHint | ( | EHintMode | mode ) | `[inline]`

Definition at line 216 of file Shader.hpp.

void vl::Hint::setPolygonSmoohtHint | ( | EHintMode | mode ) | `[inline]`

Definition at line 217 of file Shader.hpp.

void vl::Hint::setLineSmoothHint | ( | EHintMode | mode ) | `[inline]`

Definition at line 218 of file Shader.hpp.

void vl::Hint::setPointSmoothHint | ( | EHintMode | mode ) | `[inline]`

Definition at line 219 of file Shader.hpp.

void vl::Hint::setFogHint | ( | EHintMode | mode ) | `[inline]`

Definition at line 220 of file Shader.hpp.

void vl::Hint::setGenerateMipmapHint | ( | EHintMode | mode ) | `[inline]`

Definition at line 221 of file Shader.hpp.

EHintMode vl::Hint::perspectiveCorrectionHint | ( | ) | const`[inline]`

Definition at line 223 of file Shader.hpp.

EHintMode vl::Hint::polygonSmoohtHint | ( | ) | const`[inline]`

Definition at line 224 of file Shader.hpp.

EHintMode vl::Hint::lineSmoothHint | ( | ) | const`[inline]`

Definition at line 225 of file Shader.hpp.

EHintMode vl::Hint::pointSmoothHint | ( | ) | const`[inline]`

Definition at line 226 of file Shader.hpp.

EHintMode vl::Hint::fogHint | ( | ) | const`[inline]`

Definition at line 227 of file Shader.hpp.

EHintMode vl::Hint::generateMipmapHint | ( | ) | const`[inline]`

Definition at line 228 of file Shader.hpp.

## Member Data Documentation

EHintMode vl::Hint::mPerspectiveCorrectionHint`[protected]`

Definition at line 231 of file Shader.hpp.

Referenced by apply().

EHintMode vl::Hint::mPointSmoothHint`[protected]`

Definition at line 232 of file Shader.hpp.

Referenced by apply().

EHintMode vl::Hint::mLineSmoothHint`[protected]`

Definition at line 233 of file Shader.hpp.

Referenced by apply().

EHintMode vl::Hint::mPolygonSmoothHint`[protected]`

Definition at line 234 of file Shader.hpp.

Referenced by apply().

EHintMode vl::Hint::mFogHint`[protected]`

Definition at line 235 of file Shader.hpp.

Referenced by apply().

EHintMode vl::Hint::mGenerateMipmapHint`[protected]`

Definition at line 236 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.